Subject: exceeding arguments are ignored if a command has optional arguments
Description

When kickstarting a model with

./flow3 kickstart:model TYPO3.Blog Blog title:string description:string

the generated code will not contain any trace of the title property. A "workaround" is possible: Calling

./flow3 kickstart:model TYPO3.Blog Blog dummy:prop title:string description:string

will result in a model with title and description (and without dummy).

That could very well be a problem of CLI argument handling, though.

Associated revisions
Revision a43360b3 - 2011-09-15 12:20 - Bastian Waidelich

[!!!][BUGFIX] Optional CLI arguments have to be named

Currently exceeding arguments are ignored if a command has optional
arguments, because the RequestBuilder then can't differentiate them.

This change requires options to be named:
For commands expecting one optional argument you were able to write
./flow3 command value
Now you'd have to write
./flow3 command --optional-argument value

Change-Id: Ia9f59326e5c4dc793102db20883ae798ae2f27cd
Resolves: #29792

History
#1 - 2011-09-15 11:53 - Bastian Waidelich
- Project changed from TYPO3.Kickstart to TYPO3.Flow
- Assigned To set to Bastian Waidelich

#2 - 2011-09-15 11:54 - Bastian Waidelich
- Subject changed from kickstart:model ignores first given property to exceeding arguments are ignored if a command has optional arguments
- Category set to MVC
- Status changed from New to Accepted

#3 - 2011-09-15 11:58 - Bastian Waidelich

The problem seems to be that the kickstart:model has a third argument force that is optional.
So the third argument is mapped to this method parameter.

I currently don't know a solution for this, but I'll look into it again.

#4 - 2011-09-15 12:35 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change Ia9f59326e5c4dc793102db20883ae798ae2f27cd has been pushed to the review server.
It is available at http://review.typo3.org/4979

#5 - 2011-09-16 11:08 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a43360b35c0b44288d204462b825dfa564bd3cf2.

#6 - 2011-10-20 01:37 - Karsten Dambekalns
- Target version changed from 1230 to 1.0.0
